DUK(1)

NAME
duk - duktape, embeddable Javascript engine

SYNOPSIS
duk [options] [<filenames>]

DESCRIPTION

-i  enter interactive mode after executing argument file(s) / eval code

-e CODE
    evaluate code

-c FILE
    compile into bytecode (use with only one file argument)

--run-stdin
    treat stdin like a file, i.e. compile full input (not line by line)

--verbose
    verbose messages to stderr

--restrict-memory
    use lower memory limit (used by test runner)

--alloc-default
    use Duktape default allocator

--recreate-heap
    recreate heap after every file

--no-heap-destroy
    force GC, but don't destroy heap at end (leak testing)

If <filename> is omitted, interactive mode is started automatically.

-i  enter interactive mode after executing argument file(s) / eval code

-e CODE
    evaluate code

-c FILE
    compile into bytecode (use with only one file argument)

--run-stdin
    treat stdin like a file, i.e. compile full input (not line by line)

--verbose
    verbose messages to stderr

--restrict-memory
    use lower memory limit (used by test runner)

--alloc-default
    use Duktape default allocator

--recreate-heap
    recreate heap after every file

--no-heap-destroy
    force GC, but don't destroy heap at end (leak testing)

If <filename> is omitted, interactive mode is started automatically.